<template>
  <fieldset>
    <TextInputFloatingLabel for="countTo" :text="t('count_to_label')">
      <input
        type="datetime-local"
        name="countTo"
        id="countTo"
        :value="currentSettings.countTo"
      />
    </TextInputFloatingLabel>
  </fieldset>
</template>

<script>
module.exports = {
  name: "countdown",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    locale: {
      type: String,
      required: true,
    },
  },
  locales: {
    enGb: {
      count_to_label: "target time",
    },
    deDe: {
      count_to_label: "Zielzeit",
    },
    frFr: {
      count_to_label: "durée théorique",
    },
    esEs: {
      count_to_label: "Ztiempo teórico",
    },
    plPl: {
      count_to_label: "czas docelowy",
    },
    koKr: {
      count_to_label: "목표 시간",
    },
  },
};
</script>
